TypeScript
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: '919876543210', // the phone to act with (x-phone)
});
async function main() {
const response = await client.chats.getChatNotes({
chat_id: '120363000000000000@g.us',
});
console.log(response);
}
main();curl -X GET 'https://api.periskope.app/v1/chats/120363000000000000@g.us/notes' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'x-phone: 919876543210'{
"from": 1,
"to": 20,
"count": 20,
"start_time": "2026-01-01T00:00:00Z",
"end_time": null,
"notes": [
{
"message_id": "true_00000000-0000-0000-0000-000000000000_api",
"org_id": "00000000-0000-0000-0000-000000000000",
"org_phone": "911111111111@c.us",
"chat_id": "120363000000000000@g.us",
"body": "Customer asked for a callback tomorrow @user@example.com",
"message_type": "chat",
"media": {
"path": "https://example.com/files/image.png",
"mimetype": "image/png",
"filename": "image.png"
},
"is_private_note": true,
"from_me": true,
"performed_by": "api",
"quoted_message_id": "true_00000000-0000-0000-0000-000000000000_api",
"mentioned_ids": [
"user@example.com"
],
"timestamp": "2026-01-15T09:30:00.000Z",
"updated_at": "2026-01-15T09:30:00.000Z"
}
]
}{
"code": "UNAUTHORIZED_ERROR",
"message": "Invalid bearer auth token",
"status": 401
}{
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"status": 422,
"fields": {
"body.chat_id": {
"message": "chat_id is required"
}
}
}{
"code": "RATE_LIMIT_ERROR",
"message": "You can only make 100 requests per second",
"status": 429
}{
"code": "UNKNOWN_ERROR",
"message": "Internal server error",
"status": 500
}Chat APIs
Get Private Notes in a Chat
Returns the private notes of a chat, newest first. Notes are internal to the workspace and never sent to WhatsApp.
TypeScript
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: '919876543210', // the phone to act with (x-phone)
});
async function main() {
const response = await client.chats.getChatNotes({
chat_id: '120363000000000000@g.us',
});
console.log(response);
}
main();curl -X GET 'https://api.periskope.app/v1/chats/120363000000000000@g.us/notes' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'x-phone: 919876543210'{
"from": 1,
"to": 20,
"count": 20,
"start_time": "2026-01-01T00:00:00Z",
"end_time": null,
"notes": [
{
"message_id": "true_00000000-0000-0000-0000-000000000000_api",
"org_id": "00000000-0000-0000-0000-000000000000",
"org_phone": "911111111111@c.us",
"chat_id": "120363000000000000@g.us",
"body": "Customer asked for a callback tomorrow @user@example.com",
"message_type": "chat",
"media": {
"path": "https://example.com/files/image.png",
"mimetype": "image/png",
"filename": "image.png"
},
"is_private_note": true,
"from_me": true,
"performed_by": "api",
"quoted_message_id": "true_00000000-0000-0000-0000-000000000000_api",
"mentioned_ids": [
"user@example.com"
],
"timestamp": "2026-01-15T09:30:00.000Z",
"updated_at": "2026-01-15T09:30:00.000Z"
}
]
}{
"code": "UNAUTHORIZED_ERROR",
"message": "Invalid bearer auth token",
"status": 401
}{
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"status": 422,
"fields": {
"body.chat_id": {
"message": "chat_id is required"
}
}
}{
"code": "RATE_LIMIT_ERROR",
"message": "You can only make 100 requests per second",
"status": 429
}{
"code": "UNKNOWN_ERROR",
"message": "Internal server error",
"status": 500
}Authorizations
Headers
Path Parameters
Unique id of the chat. For 1-1 chats, country code + number optionally suffixed with @c.us (e.g. 922222222222@c.us — the suffix is added automatically when omitted); for groups, the id ending with @g.us.
Minimum string length:
1Example:
"120363000000000000@g.us"
Query Parameters
Response
Paginated list of the notes in the chat, newest first
Was this page helpful?